> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to create a new observable in Blink's case management system.

# Create an Observable



## OpenAPI

````yaml post /workspace/{ws_id}/case_management/table/observables
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/case_management/table/observables:
    post:
      tags:
        - Case Management
      summary: Create an Observable
      description: Adds a new Observable record.
      operationId: CreateObservable
      parameters:
        - name: ws_id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
      requestBody:
        description: Observable Data
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/api.ObservableObject'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/api.ObservableObject'
        '400':
          description: Failed to create record
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.ObservableObject:
      type: object
      properties:
        content:
          type: string
          example: 1.1.1.1
        description:
          type: string
          example: Suspicious IP address observed in network traffic
        enrichment_data:
          type: string
          example: '{"VirusTotal-Score":"value"}'
        name:
          type: string
          example: Suspicious IP Address
        reputation:
          type: string
          example: Suspicious/Risky
          enum:
            - Unknown
            - Very Safe
            - Safe
            - Probably Safe
            - Leans Safe
            - May not be Safe
            - Exercise Caution
            - Suspicious/Risky
            - Possibly Malicious
            - Probably Malicious
            - Malicious
            - Other
        type:
          type: string
          example: IP Address
          enum:
            - Unknown
            - Hostname
            - IP Address
            - MAC Address
            - User Name
            - Email Address
            - URL String
            - File Name
            - Hash
            - Process Name
            - Resource UID
            - Port
            - Subnet
            - Command Line
            - Country
            - Process ID
            - HTTP User-Agent
            - 'CWE Object: uid'
            - 'CVE Object: uid'
            - User Credential ID
            - Endpoint
            - User
            - Email
            - Uniform Resource Locator
            - File
            - Process
            - Geo Location
            - Container
            - Registry Key
            - Registry Value
            - Fingerprint
            - Other
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````